scheme(1)

NAME

MIT/GNU Scheme - Scheme development environment

SYNOPSIS

scheme [OPTIONS]

DESCRIPTION

MIT/GNU Scheme is an implementation of the Scheme programming language, providing an interpreter, compiler, source-code debugger, integrated Emacs-like editor, and a large runtime library. MIT/GNU Scheme is best suited to programming large applications with a rapid development cycle.

OPTIONS

These are some of the more common command-line options. For full information about available options, see the Texinfo documentation. Additional options may also be supported by the band. Use the --help option (last) to see descriptions of all available command-line options.

--version
    Report various version numbers, then exit.

--heap NBLOCKS
    Specify the size of the heap in 1024-word blocks.

--stack NBLOCKS
    Specify the size of the stack in 1024-word blocks.

--library PATH
    Specify where to look for Scheme's binary files. PATH should be a colon-separated list of directory names.

--option-summary
    Print the actual values of the machine parameters (like those above).

--no-init-file
    Don't load the user's init file (~/.scheme.init or scheme.ini).

--edit
    Start the text editor after starting Scheme.

--eval EXPRESSION...
    Evaluate the specified expressions after starting Scheme.

--load FILENAME...
    Load the specified files after starting Scheme.

FILES

/usr/local/lib/mit-scheme

ENVIRONMENT VARIABLES

MIT/GNU Scheme refers to a large number of environment variables. See the Texinfo documentation for details.

AUTHORS

MIT/GNU Scheme Team <bug-mit-scheme@gnu.org>

SEE ALSO

The full documentation for MIT/GNU Scheme is maintained as a set of Texinfo manuals. If the info program is properly installed at your site, the command

    info "MIT/GNU Scheme User"

should give you access to the complete User's manual. Programming information is located in the Info topics "MIT/GNU Scheme Ref" and "SOS". Usage of the IMAIL mail reader is located in the "IMAIL" topic.